GELF_UPDATE_SHDR(3)

NAME
gelf_update_shdr - copy a class-independent section header into a section descriptor

SYNOPSIS
#include <gelf.h>
int gelf_update_shdr(Elf_Scn *scn, GElf_Shdr *src);

DESCRIPTION
gelf_update_shdr() copies the class-independent section header referenced by src into the section descriptor scn. The section header is translated as necessary to match the class ( ELFCLASS32 or ELFCLASS64) of the underlying ELF object. If the underlying ELF object has class ELFCLASS32 then the struct members of src must fit into 32-bit field values.

PARAMETERS

scn Pointer to a section descriptor of type Elf_Scn.

src Pointer to a GElf_Shdr structure containing the caller’s desired section header contents.

RETURN VALUE
On success, gelf_update_shdr() returns a non-zero value and marks scn with the ELF_F_DIRTY flag. On failure, this function returns 0 and elf_errno is set. If scn or src are NULL, then 0 is returned without setting elf_errno.

SEE ALSO
gelf_getshdr(3), elf_getscn(3), elf_nextscn(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.